osl::checkmate::NoProofPieces Struct Reference

`#include <fixedDepthSearcher.h>`

## Static Public Member Functions

static void | setAttackLeaf (Move, PieceStand &)
static void | attack (Move, PieceStand, PieceStand &)
static void | setLeaf (const NumEffectState &, Player, PieceStand, PieceStand &)
static void | clear (PieceStand &)
static void | updateMax (PieceStand, PieceStand &)
static void | addMonopolizedPieces (const NumEffectState &, Player, PieceStand, PieceStand &)
static ProofDisproof | attackEstimation (const NumEffectState &, Player, King8Info)

## Detailed Description

Definition at line 14 of file fixedDepthSearcher.h.

## Member Function Documentation

## addMonopolizedPieces()

void osl::checkmate::NoProofPieces::addMonopolizedPieces | ( | const NumEffectState & | ,
|  | Player | ,
|  | PieceStand | ,
|  | PieceStand & | )

inline static

Definition at line 26 of file fixedDepthSearcher.h.

## attack()

void osl::checkmate::NoProofPieces::attack | ( | Move | ,
|  | PieceStand | ,
|  | PieceStand & | )

inline static

Definition at line 18 of file fixedDepthSearcher.h.

## attackEstimation()

ProofDisproof osl::checkmate::NoProofPieces::attackEstimation | ( | const NumEffectState & | ,
|  | Player | ,
|  | King8Info | )

inline static

Definition at line 29 of file fixedDepthSearcher.h.

## clear()

void osl::checkmate::NoProofPieces::clear | ( | PieceStand & |  | ) |

inline static

Definition at line 22 of file fixedDepthSearcher.h.

## setAttackLeaf()

void osl::checkmate::NoProofPieces::setAttackLeaf | ( | Move | ,
|  | PieceStand & | )

inline static

Definition at line 16 of file fixedDepthSearcher.h.

## setLeaf()

void osl::checkmate::NoProofPieces::setLeaf | ( | const NumEffectState & | ,
|  | Player | ,
|  | PieceStand | ,
|  | PieceStand & | )

inline static

Definition at line 20 of file fixedDepthSearcher.h.

## updateMax()

void osl::checkmate::NoProofPieces::updateMax | ( | PieceStand | ,
|  | PieceStand & | )

inline static

Definition at line 24 of file fixedDepthSearcher.h.

The documentation for this struct was generated from the following file:

- fixedDepthSearcher.h